Subject: Re: Problems with .EXE files overriding shell scripts in PATH.
From: "Mark Hadfield" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 1 May 2001 09:08:36 +1200

> Sergio Del Rio wrote:
> >
> > For the most part, all shell scripts that I have are found by bash if
they
> > are in the PATH.
> >
> > I am trying to write a script that overrides an existing SQLPLUS.EXE
file
> > that is also in the path. I created a script called sqlplus and placed
it
> > into /usr/local/bin which is the first thing in the path. What I notice
is
> > that the sqlplus shell script is not getting executed at all, the system
is
> > executing the SQLPLUS.EXE program which is found later on in the path.

Cygwin *used* to do this. (The current Net release doesn't. I don't recall
when it was fixed.)

What version are you running?

---
Mark Hadfield
[email-masked]  http://katipo.niwa.cri.nz/~hadfield
National Institute for Water and Atmospheric Research

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple